package tp06;
import java.time.LocalDate;

public class Worker extends Employee{
    private final double BY_UNIT = 5;
    private int units;
    private static int objective = 1000;

    public Worker(String name, LocalDate hiringDate, int units){
        super(name, hiringDate);
        this.units=units;
    }
    
    public String getTitle(){
        return "Travailleur";
    }

    public double getWages(){
        return units*BY_UNIT;
    }

    public String toString(){
        return this.getName() + ", embauché le " + this.getHiringDate() + "est payé : " + this.getWages();
    }

    public boolean objectiveFulfilled(){
        return units>=objective;
    }
}
